OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.NV.VertexArrayRange

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVVertexArrayRange :: MonadIO m => m Bool
- gl_NV_vertex_array_range :: Bool
- gl_MAX_VERTEX_ARRAY_RANGE_ELEMENT_NV :: GLenum
- gl_VERTEX_ARRAY_RANGE_LENGTH_NV :: GLenum
- gl_VERTEX_ARRAY_RANGE_NV :: GLenum
- gl_VERTEX_ARRAY_RANGE_POINTER_NV :: GLenum
- gl_VERTEX_ARRAY_RANGE_VALID_NV :: GLenum
- glFlushVertexArrayRangeNV :: MonadIO m => m ()
- glVertexArrayRangeNV :: MonadIO m => GLsizei -> Ptr a -> m ()

# Extension Support

glGetNVVertexArrayRange :: MonadIO m => m Bool

Is the NV_vertex_array_range extension supported?

gl_NV_vertex_array_range :: Bool

Is the NV_vertex_array_range extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVVertexArrayRange` in those cases instead.

# Enums

gl_MAX_VERTEX_ARRAY_RANGE_ELEMENT_NV :: GLenum

gl_VERTEX_ARRAY_RANGE_LENGTH_NV :: GLenum

gl_VERTEX_ARRAY_RANGE_NV :: GLenum

gl_VERTEX_ARRAY_RANGE_POINTER_NV :: GLenum

gl_VERTEX_ARRAY_RANGE_VALID_NV :: GLenum

# Functions

glFlushVertexArrayRangeNV :: MonadIO m => m ()

glVertexArrayRangeNV

Arguments

:: MonadIO m |
=> GLsizei | `length`.
-> Ptr a | `pointer` pointing to `COMPSIZE(length)` elements of type `a`.
-> m () |